<?php
function CountSMS($user_ip, $userhash, $phonemd5) //подсчитываем количество отправленных SMS за сутки
{
  $date = date_create(date('Y-m-d H:i:s'));
  date_sub($date, date_interval_create_from_date_string('1 day')); //вычитаем один день из текущего времени
  $comptime = date_format($date, 'Y-m-d H:i:s');
  mysqli_query($GLOBALS['DB'], "DELETE FROM smscounter WHERE sendtime <= '".$comptime."'");//удаляем все записи, старше 1 дня

  $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT idsms FROM smscounter WHERE phone=?'); //подсчитываем сколько отправлено смс с данного телефона
  mysqli_stmt_bind_param($stmt, 's', $phonemd5);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_store_result($stmt);
  $num1 = mysqli_stmt_num_rows($stmt);
  mysqli_stmt_close($stmt);

  $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT idsms FROM smscounter WHERE user_hash=?'); //подсчитываем сколько отправлено смс данным участником
  mysqli_stmt_bind_param($stmt, 's', $userhash);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_store_result($stmt);
  $num2 = mysqli_stmt_num_rows($stmt);
  mysqli_stmt_close($stmt);

  $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT idsms FROM smscounter WHERE user_ip=?'); //подсчитываем сколько отправлено смс с данного IP
  mysqli_stmt_bind_param($stmt, 's', $user_ip);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_store_result($stmt);
  $num3 = mysqli_stmt_num_rows($stmt);
  mysqli_stmt_close($stmt);

  return max($num1, $num2, $num3); //возвращаем максимальный результат
}
?>